--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Determine whether a particular named storage exists in this repository
- !ruby/struct:SM::Flow::P 
  body: "@param [String]"
- !ruby/struct:SM::Flow::VERB 
  body: "  storage_name name of the storage to test for\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Boolean]"
- !ruby/struct:SM::Flow::VERB 
  body: "  true if the data-store <tt>storage_name</tt> exists\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Migrations::Repository#storage_exists?
is_singleton: false
name: storage_exists?
params: (storage_name)
visibility: public
